View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000049aMuleMiscpublic2004-05-23 12:572004-09-16 01:57
ReporterNo-MaDe 
Assigned ToKry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000049: Strange ports ranges utilisation
DescriptionHi there,

Each time I run aMule (w/ TCP=24662 & UDP=24672) I've got troubles getting sources. So I had a look to my firewall settings and it appears that for each session it uses random ports in, for example, 33000-33200 or 41100-41300 (tcp) ranges.
Additional InformationAt first, I thought it what "other people's" firewalls troubles. But it seems that it comes from the program as there are 2 main ranges of tcp ports that are concerned.

As I can't stand shuting down my firewall, I have to check used ports to open them for each session. But it's an important security issue to let 200 ports opened...

So, is there a mistake in aMule ports management or is that normal and can be handled easily in the firewall ruling method ?
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000060)
No-MaDe (reporter)
2004-05-23 13:00

Oops : I forgot to give you the config !!

I'm using aMule 1.2.6 on a Gentoo w/ AMD XP1800+/nForce2/3Com Onboard NIC/Gnome 2.6/Giptables 1.1
(0000084)
Xaignar (manager)
2004-05-28 16:14

It's a bit hard to tell from your description, but as far as I can see, the 200 ports you are reffering to are the outgoing connections, and you shouldn't have to open your firewall for those.

Try executing this command while aMule is running. It'll show you the 3(!) ports you need to open in your firewall: 'netstat -npl | grep amule'

Cheers,
 Xaignar
(0000085)
No-MaDe (reporter)
2004-05-28 20:04

Well... first of all : thx for your answer ;)

Here is the result :
$ netstat -npl | grep amule
(Tous les processus ne peuvent être identifiés, les infos sur les processus
non possédés ne seront pas affichées, vous devez être root pour les voir toutes.)
tcp 0 0 0.0.0.0:4712 0.0.0.0:* LISTEN 9986/amule
tcp 0 0 0.0.0.0:24662 0.0.0.0:* LISTEN 9986/amule
udp 0 0 0.0.0.0:24665 0.0.0.0:* 9986/amule
udp 0 0 0.0.0.0:24672 0.0.0.0:* 9986/amule
unix 2 [ ACC ] STREAM LISTENING 188703 9986/amule /home/logon/.aMule/muleconn

But : all those ports are opened !

And if I run snort (firewall shuted down) I've got :
05/28-20:01:28.357483 xxx.xxx.xxx.xxx:50287 -> yyy.yyy.yyy.yyy:5662
TCP TTL:64 TOS:0x0 ID:1153 IpLen:20 DgmLen:137 DF
***AP*** Seq: 0x7BF7745E Ack: 0xE759D194 Win: 0x16D0 TcpLen: 32
TCP Options (3) => NOP NOP TS: 45259596 996718

w/ x = my PC & y = other people
(0000248)
Kry (manager)
2004-09-16 01:57

Those are outgoing connections to other *Mules for data transfer. You tcp/udp port are used for incoming, and the kernel is the one deciding which ports to use when we open it with no port number. It's more a wxWidgets issue (we use wxSocket) than our own.

- Issue History
Date Modified Username Field Change
2004-05-23 12:57 No-MaDe New Issue
2004-05-23 13:00 No-MaDe Note Added: 0000060
2004-05-28 16:14 Xaignar Note Added: 0000084
2004-05-28 20:04 No-MaDe Note Added: 0000085
2004-09-16 01:57 Kry Status new => resolved
2004-09-16 01:57 Kry Resolution open => fixed
2004-09-16 01:57 Kry Assigned To => Kry
2004-09-16 01:57 Kry Note Added: 0000248


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker